Xeonr Developer Docs

Directly add an organisation user to a team (admin)

POST
/xeonr.auth.private.v1.TeamsService/AddTeamMember

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

team?string
Length1 <= length <= 128
memberId?string
Length1 <= length <= 128
role?string

The subject's governance role within a team. Product-level permissions are carried separately as per-application role names (ApplicationRole).

Value in"TEAM_ROLE_UNSPECIFIED" | "TEAM_ROLE_OWNER" | "TEAM_ROLE_MEMBER"
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.TeamsService/AddTeamMember" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}